<template>
  <div>
    <el-button type="primary" @click="handleAdd" v-if="hasAdd">申请休学</el-button>
    <div style="height: 20px"></div>
    <table-list :remote="remote" :columns="columns" ref="tableList"></table-list>
  </div>
</template>

<script>
import listMixins from '../../mixins/list'

export default {
  mixins: [listMixins],
  data() {
    return {
      columns: [
        { prop: 'form.sofia_id', label: 'Marywood ID' },
        { prop: 'form.semester_name', label: '休学时间' },
        { prop: 'form.reason', label: '休学原因' },
        { prop: 'status_name', label: '审批状态' },
        { prop: 'approve_time1', label: '审批时间' },
        { prop: 'remark1', label: '审批备注' },
        {
          label: '操作',
          attrs: { width: '100' },
          buttons: [
            {
              label: '查看',
              isShow(row) {
                return row.status !== -1
              },
              onClick: row => {
                this.$router.push({ name: 'pauseStudyView', params: { id: row.id }, query: { id: row.affair_id } })
              }
            },
            {
              label: '编辑',
              isShow(row) {
                return row.status === -1
              },
              onClick: row => {
                this.$router.push({ name: 'pauseStudyEdit', params: { id: row.id }, query: { id: row.affair_id } })
              }
            },
            {
              label: '删除',
              isShow(row) {
                return row.status === -1
              },
              onClick: row => {
                this.handleRemove(row)
              }
            }
          ]
        }
      ]
    }
  },
  methods: {
    // 新增
    handleAdd() {
      this.$router.push({ name: 'pauseStudyAdd', query: { id: this.affairId } })
    }
  }
}
</script>
